Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.26
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.crypto
Interface Signer

All Known Subinterfaces:
  SignerWithRecovery

All Known Implementing Classes:
  PSSSigner

public interface Signer

Generic signer interface for hash based and message recovery signers.

Method Summary
`byte[]` | `generateSignature()` generate a signature for the message we've been loaded with using the key we were initialised with.
`void` | `init(boolean forSigning, CipherParameters param)` Initialise the signer for signing or verification.
`void` | `reset()` reset the internal state
`void` | `update(byte b)` update the internal digest with the byte b
`void` | `update(byte[] in, int off, int len)` update the internal digest with the byte array in
`boolean` | `verifySignature(byte[] signature)` return true if the internal state represents the signature described in the passed in array.

Method Detail

### init

    public void init(boolean forSigning,
                     CipherParameters param)

  Initialise the signer for signing or verification.
  Parameters:
    `forSigning` - true if for signing, false otherwise
    `param` - necessary parameters.

### update

    public void update(byte b)

  update the internal digest with the byte b

### update

    public void update(byte[] in,
                       int off,
                       int len)

  update the internal digest with the byte array in

### generateSignature

    public byte[] generateSignature()
                             throws CryptoException,
                                    DataLengthException

  generate a signature for the message we've been loaded with using the key we were initialised with.

### verifySignature

    public boolean verifySignature(byte[] signature)

  return true if the internal state represents the signature described in the passed in array.

### reset

    public void reset()

  reset the internal state

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.26
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD